WARNING This endpoint is deprecated and scheduled to be removed in the next major version.
Overwrites the proxy settings. All unspecified fields are deleted.
Query parameters
-
If specified, checks for conflicts against the version of the settings (returned in 'x-cloud-resource-version' of the GET request)
PUT
/platform/infrastructure/proxies/settings
curl \
--request PUT 'https://{{hostname}}/api/v1/platform/infrastructure/proxies/settings' \
--user "username:password" \
--header "Content-Type: application/json" \
--data '{
"expected_proxies_count": 42,
"signature_secret": "string",
"signature_valid_for_millis": 42,
"http_settings": {
"disconnected_cutoff": 42,
"minimum_proxy_services": 42,
"sso_settings": {
"max_age": 42,
"sso_secret": "string",
"cookie_name": "string",
"dont_log_requests": true,
"default_redirect_path": "string",
"maintenance_bypass_cookie_name": "string"
},
"dashboards_base_url": "string",
"cookie_secret": "string",
"user_cookie_key": "string"
}
}'